List Usage By User
GET
/api/v1/usage/users
const url = 'https://aura-api-eu.strangeworks.com/api/v1/usage/users?limit=50&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://aura-api-eu.strangeworks.com/api/v1/usage/users?limit=50&offset=0' \ --header 'Authorization: Bearer <token>'Usage grouped per user, spend-descending. Key-driven spend is under /usage/api-keys.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
UserUsageListResponse
Per-user usage rows, spend-descending. Key-driven spend is under /usage/api-keys.
object
limit
required
Limit
integer
offset
required
Offset
integer
total
required
Total
integer
users
required
Users
Array<object>
UserUsageResponseExamplegenerated
{ "limit": 1, "offset": 1, "since": "2026-04-15T12:00:00Z", "total": 1, "until": "2026-04-15T12:00:00Z", "users": [ { "display_name": "example", "email": "example", "totals": { "credits": 1 }, "user_id": "example" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}